UniFilter-constructor {xps} | R Documentation

## Constructor for Class UniFilter

### Description

Constructor for class UniFilter allows to apply different unitest filters to class `ExprTreeSet`, i.e. to the expression level data.frame `data`.

### Usage

    UniFilter(unitest    = "t.test",
              foldchange = character(),
              prescall   = character(),
              unifilter  = character())

### Arguments

`unitest` | `"character"` vector describing parameters for `uniTest`.
`foldchange` | `"character"` vector describing parameters for `fcFilter`.
`prescall` | `"character"` vector describing parameters for `callFilter`.
`unifilter` | `"character"` vector describing parameters for `unitestFilter`.

### Details

The UniFilter constructor allows to apply the following unitest filters to class `ExprTreeSet`:

| `unitest`: | character vector c(type,alternative,correction.numperm,mu,paired,conflevel,varequ).
| `foldchange`: | character vector c(cutoff,direction).
| `prescall`: | character vector c(cutoff,samples,condition).
| `unifilter`: | character vector c(cutoff,variable).

### Value

An object of type `"UniFilter"`

### Note

Function `UniFilter` is used as constructor for class `UniFilter` so that the user need not know details for creating S4 classes.

### Author(s)

Christian Stratowa

### See Also

`UniFilter`, `PreFilter`

### Examples

    ## fill character vectors within constructor
    unifltr <- UniFilter(unitest=c("t.test","two.sided","none",0,0.0,FALSE,0.95,TRUE),
                         foldchange=c(1.3,"both"),unifilter=c(0.1,"pval"))
    str(unifltr)

    ## alternatively add character vectors as methods after creation of constructor
    unifltr <- UniFilter()
    fcFilter(unifltr) <- c(1.5,"both")
    unitestFilter(unifltr) <- c(0.01,"pval")
    str(unifltr)

[Package xps version 1.2.10 Index]